

extdesc="the Apache-MySql-Php (AMP) Extension"


if [ "x$GEXTAMP" = "x" ] ; then
  export GEXTAMP=`pwd`
  export GEXTAMP_INSTALLED=$GEXTAMP/installed/linux

  export PATH=$GEXTAMP_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTAMP_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTAMP_INSTALLED/lib:$LD_LIBRARY_PATH
  fi


  export APACHE_HTTPD_HOME="$GEXTAMP_INSTALLED";
  export COMPILE_UP_APACHE_HTTPD=1

  if [ -n "$GSDLHOME" ] ; then
      # see if there is already an apache httpd we can use
      # override default values if there is
      if [ -e "$GSDLHOME/apache-httpd/$GSDLOS" ] ; then
	  export APACHE_HTTPD_HOME="$GSDLHOME/apache-httpd/$GSDLOS";
	  export COMPILE_UP_APACHE_HTTPD=0
      fi
  fi


  extdir=${GEXTAMP##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc to Greenstone"
else
  echo "+Your environment is already setup for $extdesc to Greenstone"
fi


